Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.log4jfugue
Class InstrumentVoice

    java.lang.Object
      org.log4jfugue.InstrumentVoice

    public class InstrumentVoice

extends java.lang.Object

Represents an instrument, which voice to play it in, and which log message causes the instrument to be played

Author:
  brian tarbox

Constructor Summary
`InstrumentVoice()`
`InstrumentVoice(int voiceNumber, java.lang.String searchString, java.lang.String instrumentName)` create a fully defined Instrument

Method Summary
`java.lang.String` | `getInstrumentName()` basic accessor
`java.lang.String` | `getSearchString()` basic accessor
`int` | `getVoiceNumber()` basic accessor
`void` | `setInstrumentName(java.lang.String instrumentName)` basic mutator
`void` | `setSearchString(java.lang.String searchString)` basic mutator
`void` | `setVoiceNumber(int voiceNumber)` basic mutator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstrumentVoice

    public InstrumentVoice()

### InstrumentVoice

    public InstrumentVoice(int voiceNumber,
                           java.lang.String searchString,
                           java.lang.String instrumentName)

  create a fully defined Instrument

  Parameters:
    `voiceNumber` -
    `searchString` -
    `instrumentName` -

Method Detail

### getVoiceNumber

    public int getVoiceNumber()

  basic accessor

  Returns:

### setVoiceNumber

    public void setVoiceNumber(int voiceNumber)

  basic mutator

  Parameters:
    `voiceNumber` -

### getSearchString

    public java.lang.String getSearchString()

  basic accessor

  Returns:

### setSearchString

    public void setSearchString(java.lang.String searchString)

  basic mutator

  Parameters:
    `voiceNumber` -

### getInstrumentName

    public java.lang.String getInstrumentName()

  basic accessor

  Returns:

### setInstrumentName

    public void setInstrumentName(java.lang.String instrumentName)

  basic mutator

  Parameters:
    `voiceNumber` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD